Subject: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Paul Nelson <[email-masked]>
Date: Tue, 4 Jun 2024 10:38:55 -0400

> Functionally, version 14.0.5 has at least one shortcoming that makes it
> unusable for me: invoking org-edit-special from an org-mode latex src block
> opens a buffer in latex-mode (not LaTeX-mode). This is a change from
> version 13.3.

In case it's of any help, I've been using (add-hook 'latex-mode-hook
#'LaTeX-mode) as a workaround for the source block issue that you
mention